%global debug_package %{nil}

Name:           python-scikit-learn
Summary:        A Python module for machine learning built on top of SciPy
Version:        1.2.1
Release:        1
License:        BSD
URL:            https://scikit-learn.org/stable/
Source0:        https://github.com/scikit-learn/scikit-learn/archive/%{version}/scikit-learn-%{version}.tar.gz

%global _description\
scikit-learn is a Python module for machine learning built on top of SciPy\
and is distributed under the 3-Clause BSD license.\

%description %_description

%package -n python3-scikit-learn
Summary:        %summary
%{?python_provide:%python_provide python3-scikit-learn}
%{?python_provide:%python_provide python3-sklearn}

BuildRequires:  python3-devel python3-numpy python3-Cython python3-pytest python3-scipy g++
BuildRequires:  python3-pip python3-wheel
Requires:       python3 >= 3.5 python3-numpy >= 1.11.0
Requires:       python3-scipy >= 0.17.0 python3-joblib >=  0.11

%description -n python3-scikit-learn %_description

%prep
%autosetup -n scikit-learn-%{version} -p1

%build
CFLAGS="$RPM_OPT_FLAGS -s"
%pyproject_build

%install
%pyproject_install scikit-learn==%{version}

%files -n python3-scikit-learn
%license COPYING
%doc examples/ CONTRIBUTING.md README.rst
%{python3_sitearch}/sklearn
%{python3_sitearch}/scikit_learn-%{version}.dist-info/

%changelog
* Sat May 6 2023 caodongxia <caodongxia@h-partners.com> - 1.2.1-1
- Update version to 1.2.1

* Tue Dec 6 2022 lijian <lijian2@kylinos.cn> - 1.1.3-1
- Upgrade to version 1.1.3

* Fri Jun 10 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.1.1-1
- Upgrade to version 1.1.1

* Mon Sep 27 2021 lingsheng <lingsheng@huawei.com> - 0.24.0-5
- Provides python-scikit-learn and python-sklearn for compatibility

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.24.0-4
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Wed Jun 23 2021 liudabo <liudabo1@huawei.com> - 0.24.0-3
- Add g++ build dependcy

* Sat Mar 20 2021 shixuantong <shixuantong@huawei> - 0.24.0-2
- strip binary files

* Wed Jan 13 2021 SimpleUpdate Robot <tc@openeuler.org> - 0.24.0-1
- Upgrade to version 0.24.0

* Thu Oct 1 2020 Zhipeng Xie <xiezhipeng1@huawei.com> - 0.23.1-2
- upgrade to 0.23.2

* Fri Jul 31 2020 Zhipeng Xie <xiezhipeng1@huawei.com> - 0.23.1-1
- upgrade to 0.23.1

* Wed Jan 22 2020 Jiangping Hu <hujp1985@foxmail.com> - 0.20.4-2
- Package init
